Region.Expiration (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.management.configuration

## Class Region.Expiration

- java.lang.Object
- - org.apache.geode.management.configuration.Region.Expiration

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Region

      public static class Region.Expiration
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Expiration()`
    `Expiration(Region.ExpirationType type, Integer timeInSeconds, Region.ExpirationAction action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Region.ExpirationAction` | `getAction()`
    `Integer` | `getTimeInSeconds()`
    `Region.ExpirationType` | `getType()`
    `void` | `setAction(Region.ExpirationAction action)`
    `void` | `setTimeInSeconds(Integer timeInSeconds)`
    `void` | `setType(Region.ExpirationType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Expiration

          public Expiration()

    - #### Expiration

          public Expiration(Region.ExpirationType type,
                            Integer timeInSeconds,
                            Region.ExpirationAction action)

  - ### Method Detail

    - #### getType

          public Region.ExpirationType getType()

    - #### setType

          public void setType(Region.ExpirationType type)

    - #### getTimeInSeconds

          public Integer getTimeInSeconds()

    - #### setTimeInSeconds

          public void setTimeInSeconds(Integer timeInSeconds)

      Parameters:
        `timeInSeconds` - in seconds

    - #### getAction

          public Region.ExpirationAction getAction()

    - #### setAction

          public void setAction(Region.ExpirationAction action)